Elasticsearch devient le nouveau moteur de recherche par défaut de Magento 2.4.0 : quels impacts ?

Dans Magento 2.4.0, Magento supprimera la prise en charge de trois moteurs de recherche de catalogue obsolètes : MySQL et Elasticsearch 2.x, 5.x et 6.x. Les e-commerçants devront installer et configurer la version prise en charge d’Elasticsearch (7.6.x) avant de passer à Magento 2.4.x. Si vous migrez vers Magento 2.4.x, des adaptations seront nécessaires.

Tous les e-commerçants utilisant une version d’Elasticsearch antérieure à la version 7.6.x devront obligatoirement migrer vers la dernière version à jour à date avant de migrer sur Magento 2.4.x. En effet, désormais, l’installation de Magento 2.4.0 et les versions ultérieures ne supporteront que les moteurs de recherche basés sur Elasticsearch. Si ce moteur de recherche n’est pas configuré, l’installation ou la mise à niveau vers Magento 2.4.0 sera impossible.

Les nouvelles installations et sites e-commerce qui partiront sur la base de Magento 2.4.0 devront obligatoirement configurer Elasticsearch 7.6.x afin de pouvoir finaliser la configuration de Magento.

Les développeurs d’extensions devront mettre à jour tout module qui dépend des moteurs de recherche non pris en charge afin de les faire migrer vers Elasticsearch.

IMPORTANT : avant la mise à niveau vers Magento 2.4.0, il conviendra donc de vérifier votre configuration de recherche pour vous assurer que vous utilisez un moteur de recherche pris en charge pour la version cible et qu’il est correctement configuré. Si des modifications de configuration sont nécessaires, vous devrez les effectuer avant la mise à niveau.

Plus de détails ici : https://community.magento.com/t5/Magento-DevBlog/Elasticsearch-is-the-default-catalog-search-engine-in-Magento-2/ba-p/447968

Tu souhaites recevoir nos meilleurs articles ?

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *